aboutsummaryrefslogtreecommitdiff
path: root/release/release.sh
diff options
context:
space:
mode:
authorGlen Barber <gjb@FreeBSD.org>2015-05-06 14:53:34 +0000
committerGlen Barber <gjb@FreeBSD.org>2015-05-06 14:53:34 +0000
commit43eee0751f6113a8d88680c263440a20688f8ee3 (patch)
tree8c885a98b31b635fbb26df6ea00d6b54b980d2cb /release/release.sh
parent3ddb84b3bb02a2505ca32b3d40792bb2c3c8fe15 (diff)
downloadsrc-43eee0751f6113a8d88680c263440a20688f8ee3.tar.gz
src-43eee0751f6113a8d88680c263440a20688f8ee3.zip
Move the trap after env_check(), since CHROOTDIR may be
redefined. Sponsored by: The FreeBSD Foundation
Notes
Notes: svn path=/projects/release-arm-redux/; revision=282543
Diffstat (limited to 'release/release.sh')
-rwxr-xr-xrelease/release.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/release/release.sh b/release/release.sh
index 7210bb0dead6..16d5b9f0544a 100755
--- a/release/release.sh
+++ b/release/release.sh
@@ -341,8 +341,8 @@ main() {
esac
done
shift $(($OPTIND - 1))
- trap "umount ${CHROOTDIR}/dev" EXIT # Clean up devfs mount on exit
env_check
+ trap "umount ${CHROOTDIR}/dev" EXIT # Clean up devfs mount on exit
chroot_setup
extra_chroot_setup
chroot_build_target